JettonsService
getJettonMarketStatistics
Percent changes of price, volume, traders, transactions by last hour, day, week and month
GET
/
v1
/
jettons
/
{address}
/
markets
/
{poolAddress}
/
stats
getJettonMarketStatistics
curl --request GET \
--url https://api.dyor.io/v1/jettons/{address}/markets/{poolAddress}/statsimport requests
url = "https://api.dyor.io/v1/jettons/{address}/markets/{poolAddress}/stats"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.dyor.io/v1/jettons/{address}/markets/{poolAddress}/stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"priceChange": {
"counterpart": {
"min15": {
"changePercent": 146.1,
"previous": {
"value": "1000500000",
"decimals": 9
},
"current": {
"value": "1000500000",
"decimals": 9
},
"calculatedAt": "2023-11-07T05:31:56Z"
},
"hour": {
"changePercent": 146.1,
"previous": {
"value": "1000500000",
"decimals": 9
},
"current": {
"value": "1000500000",
"decimals": 9
},
"calculatedAt": "2023-11-07T05:31:56Z"
},
"hour6": {
"changePercent": 146.1,
"previous": {
"value": "1000500000",
"decimals": 9
},
"current": {
"value": "1000500000",
"decimals": 9
},
"calculatedAt": "2023-11-07T05:31:56Z"
},
"hour12": {
"changePercent": 146.1,
"previous": {
"value": "1000500000",
"decimals": 9
},
"current": {
"value": "1000500000",
"decimals": 9
},
"calculatedAt": "2023-11-07T05:31:56Z"
},
"day": {
"changePercent": 146.1,
"previous": {
"value": "1000500000",
"decimals": 9
},
"current": {
"value": "1000500000",
"decimals": 9
},
"calculatedAt": "2023-11-07T05:31:56Z"
},
"week": {
"changePercent": 146.1,
"previous": {
"value": "1000500000",
"decimals": 9
},
"current": {
"value": "1000500000",
"decimals": 9
},
"calculatedAt": "2023-11-07T05:31:56Z"
},
"month": {
"changePercent": 146.1,
"previous": {
"value": "1000500000",
"decimals": 9
},
"current": {
"value": "1000500000",
"decimals": 9
},
"calculatedAt": "2023-11-07T05:31:56Z"
}
}
},
"traders": {
"day": {
"changePercent": -35.9,
"previous": "39",
"current": "25",
"calculatedAt": "2023-11-07T05:31:56Z"
},
"week": {
"changePercent": -35.9,
"previous": "39",
"current": "25",
"calculatedAt": "2023-11-07T05:31:56Z"
},
"month": {
"changePercent": -35.9,
"previous": "39",
"current": "25",
"calculatedAt": "2023-11-07T05:31:56Z"
}
},
"transactions": {
"day": {
"changePercent": -35.9,
"previous": "39",
"current": "25",
"calculatedAt": "2023-11-07T05:31:56Z"
},
"week": {
"changePercent": -35.9,
"previous": "39",
"current": "25",
"calculatedAt": "2023-11-07T05:31:56Z"
},
"month": {
"changePercent": -35.9,
"previous": "39",
"current": "25",
"calculatedAt": "2023-11-07T05:31:56Z"
}
},
"volume": {
"usd": {
"day": {
"changePercent": 146.1,
"previous": {
"value": "1000500000",
"decimals": 9
},
"current": {
"value": "1000500000",
"decimals": 9
},
"calculatedAt": "2023-11-07T05:31:56Z"
}
}
}
}{
"code": 3,
"message": "invalid value",
"details": []
}{
"code": 5,
"message": "not found",
"details": []
}{
"code": 8,
"message": "too many requests",
"details": []
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Path Parameters
Jetton address
Example: EQCQZpelevHNsbw5IUtwSa4Cs8kqWww0KsYeDri9kwS18eCz
Pool address
Example: 0:327054b432bd59b327674ba3a6b30a096420d2c4872200764554a3ab0e597714
Previous
getJettonMarketPriceThe price of jetton in market (pool) in Counterpart, TON and USD coins
Next
⌘I
getJettonMarketStatistics
